OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Enumerations
industry_widget.h File Reference

Types related to the industry widgets. More...

Go to the source code of this file.

## Enumerations
enum | DynamicPlaceIndustriesWidgets { WID_DPI_MATRIX_WIDGET, WID_DPI_SCROLLBAR, WID_DPI_INFOPANEL, WID_DPI_DISPLAY_WIDGET, WID_DPI_FUND_WIDGET }
| Widgets of the BuildIndustryWindow class. More...
enum | IndustryViewWidgets { WID_IV_CAPTION, WID_IV_VIEWPORT, WID_IV_INFO, WID_IV_GOTO, WID_IV_DISPLAY }
| Widgets of the IndustryViewWindow class. More...
enum | IndustryDirectoryWidgets { WID_ID_DROPDOWN_ORDER, WID_ID_DROPDOWN_CRITERIA, WID_ID_INDUSTRY_LIST, WID_ID_SCROLLBAR }
| Widgets of the IndustryDirectoryWindow class. More...
enum | IndustryCargoesWidgets { WID_IC_CAPTION, WID_IC_NOTIFY, WID_IC_PANEL, WID_IC_SCROLLBAR, WID_IC_CARGO_DROPDOWN, WID_IC_IND_DROPDOWN }
| Widgets of the IndustryCargoesWindow class. More...

## Detailed Description

Types related to the industry widgets.

Definition in file industry_widget.h.

## Enumeration Type Documentation

enum DynamicPlaceIndustriesWidgets

Widgets of the BuildIndustryWindow class.

Enumerator:

  WID_DPI_MATRIX_WIDGET | Matrix of the industries.
  WID_DPI_SCROLLBAR | Scrollbar of the matrix.
  WID_DPI_INFOPANEL | Info panel about the industry.
  WID_DPI_DISPLAY_WIDGET | Display chain button.
  WID_DPI_FUND_WIDGET | Fund button.

Definition at line 16 of file industry_widget.h.

enum IndustryCargoesWidgets

Widgets of the IndustryCargoesWindow class.

Enumerator:

  WID_IC_CAPTION | Caption of the window.
  WID_IC_NOTIFY | Row of buttons at the bottom.
  WID_IC_PANEL | Panel that shows the chain.
  WID_IC_SCROLLBAR | Scrollbar of the panel.
  WID_IC_CARGO_DROPDOWN | Select cargo dropdown.
  WID_IC_IND_DROPDOWN | Select industry dropdown.

Definition at line 42 of file industry_widget.h.

enum IndustryDirectoryWidgets

Widgets of the IndustryDirectoryWindow class.

Enumerator:

  WID_ID_DROPDOWN_ORDER | Dropdown for the order of the sort.
  WID_ID_DROPDOWN_CRITERIA | Dropdown for the criteria of the sort.
  WID_ID_INDUSTRY_LIST | Industry list.
  WID_ID_SCROLLBAR | Scrollbar of the list.

Definition at line 34 of file industry_widget.h.

enum IndustryViewWidgets

Widgets of the IndustryViewWindow class.

Enumerator:

  WID_IV_CAPTION | Caption of the window.
  WID_IV_VIEWPORT | Viewport of the industry.
  WID_IV_INFO | Info of the industry.
  WID_IV_GOTO | Goto button.
  WID_IV_DISPLAY | Display chain button.

Definition at line 25 of file industry_widget.h.